net.minecraft.client.network

## Class NetHandlerPlayClient

- java.lang.Object
- - net.minecraft.client.network.NetHandlerPlayClient

- All Implemented Interfaces:
    INetHandler, INetHandlerPlayClient

      public class NetHandlerPlayClient
      extends java.lang.Object
      implements INetHandlerPlayClient

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `currentServerMaxPlayers`
    `MapStorage` | `mapStorageOrigin`
    `java.util.List` | `playerInfoList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetHandlerPlayClient(Minecraft p_i45061_1_, GuiScreen p_i45061_2_, NetworkManager p_i45061_3_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToSendQueue(Packet p_147297_1_)`
    `void` | `cleanup()`
    `NetworkManager` | `getNetworkManager()`
    `void` | `handleAnimation(S0BPacketAnimation p_147279_1_)`
    `void` | `handleBlockAction(S24PacketBlockAction p_147261_1_)`
    `void` | `handleBlockBreakAnim(S25PacketBlockBreakAnim p_147294_1_)`
    `void` | `handleBlockChange(S23PacketBlockChange p_147234_1_)`
    `void` | `handleChangeGameState(S2BPacketChangeGameState p_147252_1_)`
    `void` | `handleChat(S02PacketChat p_147251_1_)`
    `void` | `handleChunkData(S21PacketChunkData p_147263_1_)`
    `void` | `handleCloseWindow(S2EPacketCloseWindow p_147276_1_)`
    `void` | `handleCollectItem(S0DPacketCollectItem p_147246_1_)`
    `void` | `handleConfirmTransaction(S32PacketConfirmTransaction p_147239_1_)`
    `void` | `handleCustomPayload(S3FPacketCustomPayload p_147240_1_)`
    `void` | `handleDestroyEntities(S13PacketDestroyEntities p_147238_1_)`
    `void` | `handleDisconnect(S40PacketDisconnect p_147253_1_)`
    `void` | `handleDisplayScoreboard(S3DPacketDisplayScoreboard p_147254_1_)`
    `void` | `handleEffect(S28PacketEffect p_147277_1_)`
    `void` | `handleEntityAttach(S1BPacketEntityAttach p_147243_1_)`
    `void` | `handleEntityEffect(S1DPacketEntityEffect p_147260_1_)`
    `void` | `handleEntityEquipment(S04PacketEntityEquipment p_147242_1_)`
    `void` | `handleEntityHeadLook(S19PacketEntityHeadLook p_147267_1_)`
    `void` | `handleEntityMetadata(S1CPacketEntityMetadata p_147284_1_)`
    `void` | `handleEntityMovement(S14PacketEntity p_147259_1_)`
    `void` | `handleEntityProperties(S20PacketEntityProperties p_147290_1_)`
    `void` | `handleEntityStatus(S19PacketEntityStatus p_147236_1_)`
    `void` | `handleEntityTeleport(S18PacketEntityTeleport p_147275_1_)`
    `void` | `handleEntityVelocity(S12PacketEntityVelocity p_147244_1_)`
    `void` | `handleExplosion(S27PacketExplosion p_147283_1_)`
    `void` | `handleHeldItemChange(S09PacketHeldItemChange p_147257_1_)`
    `void` | `handleJoinGame(S01PacketJoinGame p_147282_1_)`
    `void` | `handleKeepAlive(S00PacketKeepAlive p_147272_1_)`
    `void` | `handleMapChunkBulk(S26PacketMapChunkBulk p_147269_1_)`
    `void` | `handleMaps(S34PacketMaps p_147264_1_)`
    `void` | `handleMultiBlockChange(S22PacketMultiBlockChange p_147287_1_)`
    `void` | `handleOpenWindow(S2DPacketOpenWindow p_147265_1_)`
    `void` | `handleParticles(S2APacketParticles p_147289_1_)`
    `void` | `handlePlayerAbilities(S39PacketPlayerAbilities p_147270_1_)`
    `void` | `handlePlayerListItem(S38PacketPlayerListItem p_147256_1_)`
    `void` | `handlePlayerPosLook(S08PacketPlayerPosLook p_147258_1_)`
    `void` | `handleRemoveEntityEffect(S1EPacketRemoveEntityEffect p_147262_1_)`
    `void` | `handleRespawn(S07PacketRespawn p_147280_1_)`
    `void` | `handleScoreboardObjective(S3BPacketScoreboardObjective p_147291_1_)`
    `void` | `handleSetExperience(S1FPacketSetExperience p_147295_1_)`
    `void` | `handleSetSlot(S2FPacketSetSlot p_147266_1_)`
    `void` | `handleSignEditorOpen(S36PacketSignEditorOpen p_147268_1_)`
    `void` | `handleSoundEffect(S29PacketSoundEffect p_147255_1_)`
    `void` | `handleSpawnExperienceOrb(S11PacketSpawnExperienceOrb p_147286_1_)`
    `void` | `handleSpawnGlobalEntity(S2CPacketSpawnGlobalEntity p_147292_1_)`
    `void` | `handleSpawnMob(S0FPacketSpawnMob p_147281_1_)`
    `void` | `handleSpawnObject(S0EPacketSpawnObject p_147235_1_)`
    `void` | `handleSpawnPainting(S10PacketSpawnPainting p_147288_1_)`
    `void` | `handleSpawnPlayer(S0CPacketSpawnPlayer p_147237_1_)`
    `void` | `handleSpawnPosition(S05PacketSpawnPosition p_147271_1_)`
    `void` | `handleStatistics(S37PacketStatistics p_147293_1_)`
    `void` | `handleTabComplete(S3APacketTabComplete p_147274_1_)`
    `void` | `handleTeams(S3EPacketTeams p_147247_1_)`
    `void` | `handleTimeUpdate(S03PacketTimeUpdate p_147285_1_)`
    `void` | `handleUpdateHealth(S06PacketUpdateHealth p_147249_1_)`
    `void` | `handleUpdateScore(S3CPacketUpdateScore p_147250_1_)`
    `void` | `handleUpdateSign(S33PacketUpdateSign p_147248_1_)`
    `void` | `handleUpdateTileEntity(S35PacketUpdateTileEntity p_147273_1_)`
    `void` | `handleUseBed(S0APacketUseBed p_147278_1_)`
    `void` | `handleWindowItems(S30PacketWindowItems p_147241_1_)`
    `void` | `handleWindowProperty(S31PacketWindowProperty p_147245_1_)`
    `void` | `onConnectionStateTransition(EnumConnectionState p_147232_1_, EnumConnectionState p_147232_2_)`
    `void` | `onDisconnect(IChatComponent p_147231_1_)`
    `void` | `onNetworkTick()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mapStorageOrigin

          public MapStorage mapStorageOrigin

    - #### playerInfoList

          public java.util.List playerInfoList

    - #### currentServerMaxPlayers

          public int currentServerMaxPlayers

  - ### Constructor Detail

    - #### NetHandlerPlayClient

          public NetHandlerPlayClient(Minecraft p_i45061_1_,
                              GuiScreen p_i45061_2_,
                              NetworkManager p_i45061_3_)

  - ### Method Detail

    - #### cleanup

          public void cleanup()

    - #### onNetworkTick

          public void onNetworkTick()

      Specified by:
        `onNetworkTick` in interface `INetHandler`

    - #### handleJoinGame

          public void handleJoinGame(S01PacketJoinGame p_147282_1_)

      Specified by:
        `handleJoinGame` in interface `INetHandlerPlayClient`

    - #### handleSpawnObject

          public void handleSpawnObject(S0EPacketSpawnObject p_147235_1_)

      Specified by:
        `handleSpawnObject` in interface `INetHandlerPlayClient`

    - #### handleSpawnExperienceOrb

          public void handleSpawnExperienceOrb(S11PacketSpawnExperienceOrb p_147286_1_)

      Specified by:
        `handleSpawnExperienceOrb` in interface `INetHandlerPlayClient`

    - #### handleSpawnGlobalEntity

          public void handleSpawnGlobalEntity(S2CPacketSpawnGlobalEntity p_147292_1_)

      Specified by:
        `handleSpawnGlobalEntity` in interface `INetHandlerPlayClient`

    - #### handleSpawnPainting

          public void handleSpawnPainting(S10PacketSpawnPainting p_147288_1_)

      Specified by:
        `handleSpawnPainting` in interface `INetHandlerPlayClient`

    - #### handleEntityVelocity

          public void handleEntityVelocity(S12PacketEntityVelocity p_147244_1_)

      Specified by:
        `handleEntityVelocity` in interface `INetHandlerPlayClient`

    - #### handleEntityMetadata

          public void handleEntityMetadata(S1CPacketEntityMetadata p_147284_1_)

      Specified by:
        `handleEntityMetadata` in interface `INetHandlerPlayClient`

    - #### handleSpawnPlayer

          public void handleSpawnPlayer(S0CPacketSpawnPlayer p_147237_1_)

      Specified by:
        `handleSpawnPlayer` in interface `INetHandlerPlayClient`

    - #### handleEntityTeleport

          public void handleEntityTeleport(S18PacketEntityTeleport p_147275_1_)

      Specified by:
        `handleEntityTeleport` in interface `INetHandlerPlayClient`

    - #### handleHeldItemChange

          public void handleHeldItemChange(S09PacketHeldItemChange p_147257_1_)

      Specified by:
        `handleHeldItemChange` in interface `INetHandlerPlayClient`

    - #### handleEntityMovement

          public void handleEntityMovement(S14PacketEntity p_147259_1_)

      Specified by:
        `handleEntityMovement` in interface `INetHandlerPlayClient`

    - #### handleEntityHeadLook

          public void handleEntityHeadLook(S19PacketEntityHeadLook p_147267_1_)

      Specified by:
        `handleEntityHeadLook` in interface `INetHandlerPlayClient`

    - #### handleDestroyEntities

          public void handleDestroyEntities(S13PacketDestroyEntities p_147238_1_)

      Specified by:
        `handleDestroyEntities` in interface `INetHandlerPlayClient`

    - #### handlePlayerPosLook

          public void handlePlayerPosLook(S08PacketPlayerPosLook p_147258_1_)

      Specified by:
        `handlePlayerPosLook` in interface `INetHandlerPlayClient`

    - #### handleMultiBlockChange

          public void handleMultiBlockChange(S22PacketMultiBlockChange p_147287_1_)

      Specified by:
        `handleMultiBlockChange` in interface `INetHandlerPlayClient`

    - #### handleChunkData

          public void handleChunkData(S21PacketChunkData p_147263_1_)

      Specified by:
        `handleChunkData` in interface `INetHandlerPlayClient`

    - #### handleBlockChange

          public void handleBlockChange(S23PacketBlockChange p_147234_1_)

      Specified by:
        `handleBlockChange` in interface `INetHandlerPlayClient`

    - #### handleDisconnect

          public void handleDisconnect(S40PacketDisconnect p_147253_1_)

      Specified by:
        `handleDisconnect` in interface `INetHandlerPlayClient`

    - #### onDisconnect

          public void onDisconnect(IChatComponent p_147231_1_)

      Specified by:
        `onDisconnect` in interface `INetHandler`

    - #### addToSendQueue

          public void addToSendQueue(Packet p_147297_1_)

    - #### handleCollectItem

          public void handleCollectItem(S0DPacketCollectItem p_147246_1_)

      Specified by:
        `handleCollectItem` in interface `INetHandlerPlayClient`

    - #### handleChat

          public void handleChat(S02PacketChat p_147251_1_)

      Specified by:
        `handleChat` in interface `INetHandlerPlayClient`

    - #### handleAnimation

          public void handleAnimation(S0BPacketAnimation p_147279_1_)

      Specified by:
        `handleAnimation` in interface `INetHandlerPlayClient`

    - #### handleUseBed

          public void handleUseBed(S0APacketUseBed p_147278_1_)

      Specified by:
        `handleUseBed` in interface `INetHandlerPlayClient`

    - #### handleSpawnMob

          public void handleSpawnMob(S0FPacketSpawnMob p_147281_1_)

      Specified by:
        `handleSpawnMob` in interface `INetHandlerPlayClient`

    - #### handleTimeUpdate

          public void handleTimeUpdate(S03PacketTimeUpdate p_147285_1_)

      Specified by:
        `handleTimeUpdate` in interface `INetHandlerPlayClient`

    - #### handleSpawnPosition

          public void handleSpawnPosition(S05PacketSpawnPosition p_147271_1_)

      Specified by:
        `handleSpawnPosition` in interface `INetHandlerPlayClient`

    - #### handleEntityAttach

          public void handleEntityAttach(S1BPacketEntityAttach p_147243_1_)

      Specified by:
        `handleEntityAttach` in interface `INetHandlerPlayClient`

    - #### handleEntityStatus

          public void handleEntityStatus(S19PacketEntityStatus p_147236_1_)

      Specified by:
        `handleEntityStatus` in interface `INetHandlerPlayClient`

    - #### handleUpdateHealth

          public void handleUpdateHealth(S06PacketUpdateHealth p_147249_1_)

      Specified by:
        `handleUpdateHealth` in interface `INetHandlerPlayClient`

    - #### handleSetExperience

          public void handleSetExperience(S1FPacketSetExperience p_147295_1_)

      Specified by:
        `handleSetExperience` in interface `INetHandlerPlayClient`

    - #### handleRespawn

          public void handleRespawn(S07PacketRespawn p_147280_1_)

      Specified by:
        `handleRespawn` in interface `INetHandlerPlayClient`

    - #### handleExplosion

          public void handleExplosion(S27PacketExplosion p_147283_1_)

      Specified by:
        `handleExplosion` in interface `INetHandlerPlayClient`

    - #### handleOpenWindow

          public void handleOpenWindow(S2DPacketOpenWindow p_147265_1_)

      Specified by:
        `handleOpenWindow` in interface `INetHandlerPlayClient`

    - #### handleSetSlot

          public void handleSetSlot(S2FPacketSetSlot p_147266_1_)

      Specified by:
        `handleSetSlot` in interface `INetHandlerPlayClient`

    - #### handleConfirmTransaction

          public void handleConfirmTransaction(S32PacketConfirmTransaction p_147239_1_)

      Specified by:
        `handleConfirmTransaction` in interface `INetHandlerPlayClient`

    - #### handleWindowItems

          public void handleWindowItems(S30PacketWindowItems p_147241_1_)

      Specified by:
        `handleWindowItems` in interface `INetHandlerPlayClient`

    - #### handleSignEditorOpen

          public void handleSignEditorOpen(S36PacketSignEditorOpen p_147268_1_)

      Specified by:
        `handleSignEditorOpen` in interface `INetHandlerPlayClient`

    - #### handleUpdateSign

          public void handleUpdateSign(S33PacketUpdateSign p_147248_1_)

      Specified by:
        `handleUpdateSign` in interface `INetHandlerPlayClient`

    - #### handleUpdateTileEntity

          public void handleUpdateTileEntity(S35PacketUpdateTileEntity p_147273_1_)

      Specified by:
        `handleUpdateTileEntity` in interface `INetHandlerPlayClient`

    - #### handleWindowProperty

          public void handleWindowProperty(S31PacketWindowProperty p_147245_1_)

      Specified by:
        `handleWindowProperty` in interface `INetHandlerPlayClient`

    - #### handleEntityEquipment

          public void handleEntityEquipment(S04PacketEntityEquipment p_147242_1_)

      Specified by:
        `handleEntityEquipment` in interface `INetHandlerPlayClient`

    - #### handleCloseWindow

          public void handleCloseWindow(S2EPacketCloseWindow p_147276_1_)

      Specified by:
        `handleCloseWindow` in interface `INetHandlerPlayClient`

    - #### handleBlockAction

          public void handleBlockAction(S24PacketBlockAction p_147261_1_)

      Specified by:
        `handleBlockAction` in interface `INetHandlerPlayClient`

    - #### handleBlockBreakAnim

          public void handleBlockBreakAnim(S25PacketBlockBreakAnim p_147294_1_)

      Specified by:
        `handleBlockBreakAnim` in interface `INetHandlerPlayClient`

    - #### handleMapChunkBulk

          public void handleMapChunkBulk(S26PacketMapChunkBulk p_147269_1_)

      Specified by:
        `handleMapChunkBulk` in interface `INetHandlerPlayClient`

    - #### handleChangeGameState

          public void handleChangeGameState(S2BPacketChangeGameState p_147252_1_)

      Specified by:
        `handleChangeGameState` in interface `INetHandlerPlayClient`

    - #### handleMaps

          public void handleMaps(S34PacketMaps p_147264_1_)

      Specified by:
        `handleMaps` in interface `INetHandlerPlayClient`

    - #### handleEffect

          public void handleEffect(S28PacketEffect p_147277_1_)

      Specified by:
        `handleEffect` in interface `INetHandlerPlayClient`

    - #### handleStatistics

          public void handleStatistics(S37PacketStatistics p_147293_1_)

      Specified by:
        `handleStatistics` in interface `INetHandlerPlayClient`

    - #### handleEntityEffect

          public void handleEntityEffect(S1DPacketEntityEffect p_147260_1_)

      Specified by:
        `handleEntityEffect` in interface `INetHandlerPlayClient`

    - #### handleRemoveEntityEffect

          public void handleRemoveEntityEffect(S1EPacketRemoveEntityEffect p_147262_1_)

      Specified by:
        `handleRemoveEntityEffect` in interface `INetHandlerPlayClient`

    - #### handlePlayerListItem

          public void handlePlayerListItem(S38PacketPlayerListItem p_147256_1_)

      Specified by:
        `handlePlayerListItem` in interface `INetHandlerPlayClient`

    - #### handleKeepAlive

          public void handleKeepAlive(S00PacketKeepAlive p_147272_1_)

      Specified by:
        `handleKeepAlive` in interface `INetHandlerPlayClient`

    - #### onConnectionStateTransition

          public void onConnectionStateTransition(EnumConnectionState p_147232_1_,
                                         EnumConnectionState p_147232_2_)

      Specified by:
        `onConnectionStateTransition` in interface `INetHandler`

    - #### handlePlayerAbilities

          public void handlePlayerAbilities(S39PacketPlayerAbilities p_147270_1_)

      Specified by:
        `handlePlayerAbilities` in interface `INetHandlerPlayClient`

    - #### handleTabComplete

          public void handleTabComplete(S3APacketTabComplete p_147274_1_)

      Specified by:
        `handleTabComplete` in interface `INetHandlerPlayClient`

    - #### handleSoundEffect

          public void handleSoundEffect(S29PacketSoundEffect p_147255_1_)

      Specified by:
        `handleSoundEffect` in interface `INetHandlerPlayClient`

    - #### handleCustomPayload

          public void handleCustomPayload(S3FPacketCustomPayload p_147240_1_)

      Specified by:
        `handleCustomPayload` in interface `INetHandlerPlayClient`

    - #### handleScoreboardObjective

          public void handleScoreboardObjective(S3BPacketScoreboardObjective p_147291_1_)

      Specified by:
        `handleScoreboardObjective` in interface `INetHandlerPlayClient`

    - #### handleUpdateScore

          public void handleUpdateScore(S3CPacketUpdateScore p_147250_1_)

      Specified by:
        `handleUpdateScore` in interface `INetHandlerPlayClient`

    - #### handleDisplayScoreboard

          public void handleDisplayScoreboard(S3DPacketDisplayScoreboard p_147254_1_)

      Specified by:
        `handleDisplayScoreboard` in interface `INetHandlerPlayClient`

    - #### handleTeams

          public void handleTeams(S3EPacketTeams p_147247_1_)

      Specified by:
        `handleTeams` in interface `INetHandlerPlayClient`

    - #### handleParticles

          public void handleParticles(S2APacketParticles p_147289_1_)

      Specified by:
        `handleParticles` in interface `INetHandlerPlayClient`

    - #### handleEntityProperties

          public void handleEntityProperties(S20PacketEntityProperties p_147290_1_)

      Specified by:
        `handleEntityProperties` in interface `INetHandlerPlayClient`

    - #### getNetworkManager

          public NetworkManager getNetworkManager()